#CMP
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           q  : out std_logic);
end |Name|;

architecture Behavioral of |Name| is
begin
  pCMP: PROCESS(da,db)
        BEGIN
          IF da = db THEN q <= '1'; ELSE q <= '0';
          END IF;
        END PROCESS pCMP;
end Behavioral;
>


#CMP with less, equal, greather
-Bits[1..36]
<
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity |Name| is
    Port ( da : in std_logic_vector(|Bits-| downto 0);
           db : in std_logic_vector(|Bits-| downto 0);
           ql,qe,qg : out std_logic);
end |Name|;

architecture Behavioral of |Name| is
signal temp : std_logic_vector(2 downto 0);
begin
  pCMP: PROCESS(da,db)
        BEGIN
          IF da = db THEN temp <= "010";
                     ELSE IF da < db THEN temp <= "001";
                                     ELSE temp <= "100"; END IF;
          END IF;  
        END PROCESS pCMP;
  ql <= temp(0);     
  qe <= temp(1);     
  qg <= temp(2);     
end Behavioral;
>

